var nUtil = new Util();

//Handle requests - listener
chrome.runtime.onMessage.addListener(function(request, sender, sendResponse) {
    switch (request.message.action) {
        case 'currentTabId':
            // Gửi lại thông tin tabId hiện tại
            sendResponse({tabId: sender.tab.id});
            break;
        case 'xhttp':
            // Content_script yêu cầu call ajax
            nUtil.post(request, sendResponse);

            break;
    }

    return true;
});

chrome.tabs.onUpdated.addListener(function(tabId, changeInfo, tab) {
    chrome.tabs.get(tabId, function (active_tab) {
        if (typeof active_tab.openerTabId != 'undefined') {
            chrome.tabs.get(active_tab.openerTabId, function (parent_tab) {

            });
        }
    });
});

// lấy thông tin trang khi click vào 1 tab trên chrome
chrome.tabs.onActivated.addListener(function (activeInfo) {
    chrome.tabs.get(activeInfo.tabId, function (active_tab) {

    });
});


chrome.runtime.onInstalled.addListener(function (details){
    // first time to install
    if (details.reason == "install") {
        // chrome.storage.local.set({
        //     profile: null,
        //     gobiz_user: null,
        // });
    }
});
